# Makefile for *Linux* cross-compiler

include /etc/ql.mak

CFLAGS = -O
VSOBJS = vspv.o 
#iop_svpw.o
PSOBJS = resize.o litem.o menu_bframe.o menu-choice.o \
	 menu-text.o  picker.o eye.o menufile.o mlist.o # config.o 

QSOBJS = qspv.o $(PSOBJS)

SSOBJS = slspv.o $(PSOBJS)

VLIBS = -lmin
QLIBS = 

all : slspv

vspv : $(VSOBJS)
	$(CC) -ovspv $(VSOBJS) $(VLIBS)

qspv : $(QSOBJS)
	$(CC) -oqspv $(QSOBJS) $(QLIBS) $(VLIBS)

slspv : $(SSOBJS)
	$(CC) -oslspv $(SSOBJS) $(QLIBS)
	qcp slspv /ql/exe/

slspv.o : spv.h mlist.h
mlist.o : spv.h mlist.h

