#ifndef __SPV_H__
#define __SPV_H__

#ifndef TRUE
# define TRUE 1
#endif 
#ifndef FALSE
# define FALSE 0
#endif 

typedef struct
{
    short flag;
    short xpix;
    short ypix;
    short llen;
    short mode;
} PICHEAD;

#ifdef QSPV

/*
 extern PICVIEW *pv;
*/
typedef struct
{
    struct QD_text *qtext;
    char skey;
    unsigned char status;
    int retval;
    struct WM_action *action;
} MDEF, *PMDEF;

typedef struct
{
    void *next;
    void *item;
    char extra[4];
} LLIST, *PLLIST;

# define AWXOFF 4
# define AWYOFF 32
# define XBARS 8
# define YBARS 6
#else
# define BXOFF 4
# define BYOFF 2
#endif

typedef struct 
{
    void *picbuf;
    PICHEAD *ph;
    long imgsz;
    int chan;
    short wwid;
    short whgt;
    short cx;
    short cy;
    short xx;
    short yy;
    short lx;
    short ly;
    short mx;
    short my;
    short act;
#ifdef QSPV
    char FileName[64];
    LLIST *pX;
    int pid;
    int chi;
    int cho;
    int mwidth;
    int nmenu;
#endif
} PICVIEW;

#endif

